Update Nsp Configuration

Update Nsp Configuration
Modify Public Access URL (NSP Section)

Updates an existing NSP configuration. Modifies the public access URL

Updatable Parameters:

  • baseProxyUrl: Public URL for HCX access
  • cloudType: Cloud platform type (cannot change type after initial setup)
  • isVcdGatewaysEnabled: VCD gateways enablement flag

Important Notes:

  • Changing baseProxyUrl may break connectivity temporarily
  • Ensure new URL is accessible before applying
  • May require HCX services restart for changes to take effect
Request
URI
PUT
https://{server}:9443/api/admin/global/config/nsp/{uuid}
COPY
Path Parameters
string
uuid
Required

UUID of the NSP configuration to update

uuid example
550e8400-e29b-41d4-a716-446655440000

Request Body
NspUuidPutRequestBody of type(s) application/json
Required
{
    "data": {
        "items": [
            {
                "config": {
                    "baseProxyUrl": "string",
                    "extensibilityExchange": "string",
                    "cloudType": "string",
                    "isVcdGatewaysEnabled": false,
                    "isDefault": false,
                    "UUID": "string"
                }
            }
        ]
    }
}
object
data
Optional

data

Authentication
This operation uses the following authentication methods.
Responses
200

NSP configuration updated successfully

Returns NspUuidPutResponse200 of type(s) application/json
{
    "data": {
        "items": [
            {
                "config": {
                    "baseProxyUrl": "string",
                    "extensibilityExchange": "string",
                    "cloudType": "string",
                    "isVcdGatewaysEnabled": false,
                    "isDefault": false,
                    "UUID": "string"
                },
                "section": "string"
            }
        ]
    }
}
object
data
Required

data


400

Bad request - invalid NSP configuration

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Request schema validation failed",
    "httpStatusCode": 400
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


404

NSP configuration with specified UUID not found

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Request schema validation failed",
    "httpStatusCode": 400
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


500

Internal server error while updating NSP configuration

Returns ErrorResponse of type(s) application/json
"ErrorResponse Object"
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/admin/global/config/nsp/{uuid}